Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228654 - Some funit test suite failures with frysk
Summary: Some funit test suite failures with frysk
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: frysk
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Cagney
QA Contact: Len DiMaggio
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-14 06:50 UTC by Daniel Qarras
Modified: 2007-11-30 22:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 17:36:48 UTC


Attachments (Terms of Use)
funit test run output (deleted)
2007-02-14 06:50 UTC, Daniel Qarras
no flags Details

Description Daniel Qarras 2007-02-14 06:50:12 UTC
FWIW, on an i686 I get the attached output from funit test run:

Tests run: 291,  Failures: 25,  Errors: 4

Versions in use:

kernel-2.6.19-1.2911.fc6
glibc-2.5-10.fc6
frysk-0.0.1.2007.02.07.rh1-1.fc6

Comment 1 Daniel Qarras 2007-02-14 06:50:12 UTC
Created attachment 148039 [details]
funit test run output

Comment 2 Andrew Cagney 2007-02-14 17:36:48 UTC
The known FC-6 failures are being tracked up stream with this bug:
http://sourceware.org/bugzilla/show_bug.cgi?id=2654

They range from a few testsuite warts, through to some serious kernel bugs.
Each individual bug (one per failure) contains more information, and possibly
pointers to where its been filed against a vendor os.

Comment 3 Andrew Cagney 2007-02-14 17:41:14 UTC
Run /usr/lib/frysk/fsystest to run a set of tests that exercise the kernel and
compiler.


Note You need to log in before you can comment on or make changes to this bug.